ALLJOYN-DAEMON(1)

NAME
alljoyn-daemon - The AllJoyn Message Bus Daemon version: v15.09.00a

DESCRIPTION
alljoyn-daemon [--session | --system | --internal | --config-file=FILE]

    [--print-address[=DESCRIPTOR]] [--print-pid[=DESCRIPTOR]] [--fork | --nofork] [--no-slap] [--no-tcp] [--no-udp] [--no-switch-user] [--verbosity=LEVEL] [--version]

--session

    Use the standard configuration for the per-login-session message bus.

--system

    Use the standard configuration for the system message bus.

--internal

    Use a basic internally defined message bus for AllJoyn.

--config-file=FILE

    Use the specified configuration file.

--print-address[=DESCRIPTOR]

    Print the socket address to stdout or the specified descriptor

--print-pid[=DESCRIPTOR]

    Print the process ID to stdout or the specified descriptor

--fork

    Force the daemon to fork and run in the background.

--nofork

    Force the daemon to only run in the foreground (override config file setting).

--no-slap

    Disable the SLAP transport (override config file setting).

--no-tcp

    Disable the TCP transport (override config file setting).

--no-udp

    Disable the UDP transport (override config file setting).

--no-switch-user

    Don't switch from root to the user specified in the config file.

--verbosity=LEVEL

    Set the logging level to LEVEL.

--version

    Print the version and copyright string, and exit.

COPYRIGHT
Copyright AllSeen Alliance.

Build: AllJoyn Library v15.09.00a (Built Thu May 19 13:03:25 UTC 2016 by alljoyn)